View Issue Details

IDProjectCategoryView StatusLast Update
0000926SymmetricDSBugpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1.9 
Target Version3.1.10Fixed in Version3.1.10 
Summary0000926: Staging area is not being cleaned up. Can cause out of memory or file system issues.
DescriptionStaging area is not being cleaned up. Can cause out of memory or file system issues. The staging management job had a null reference to the staging manager.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master aa95b1f1

2012-11-27 13:46:17

chenson

Details Diff
0000926: Staging area is not being cleaned up. Can cause out of memory or file system issues.
0000926
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/StageManagementJob.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/IStagedResource.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/StagedResource.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/StagingManager.java Diff File

SymmetricDS: master 85e1e390

2012-11-27 15:41:16

chenson

Details Diff
0000926: Staging area is not being cleaned up. Can cause out of memory or file system issues.
0000926
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/StagingManager.java Diff File

Issue History

Date Modified Username Field Change
2012-11-27 09:38 chenson New Issue
2012-11-27 09:38 chenson Status new => assigned
2012-11-27 09:38 chenson Assigned To => chenson
2012-11-27 14:17 chenson Status assigned => resolved
2012-11-27 14:17 chenson Fixed in Version => 3.2.0
2012-11-27 14:17 chenson Resolution open => fixed
2012-11-27 15:22 chenson Fixed in Version 3.2.0 => 3.1.10
2012-11-27 15:22 chenson Target Version 3.2.0 => 3.1.10
2012-11-27 15:43 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6559
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6564
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 85e1e390
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master aa95b1f1